function f = rosenbrock(x1, x2)
  %
  % The Rosenbrock function. See Dennis & Schnabel, Appendix B, problem #1.
  % (The "regular" Rosenbrock function is simply the Extended Rosenbrock
  % with m=1).
  %
  % This function has a minimum at x=(1,1) with f(x) == 0. The
  % suggested starting point is x0=(-1.2, 1).
  %
  f = 100*(x2 - x1^2)^2 + (1 - x1)^2;
end
